%define oldname ivtv-firmware
%define version_enc 2.06.039
%define version_dec 2.02.023

Summary: Firmware for the Hauppauge PVR 250/350/150/500/USB2 model series
Name: firmware-ivtv
Version: 20080701
Release: alt1_24
Epoch: 2
License: Redistributable, no modification permitted
Group: System/Kernel and hardware
URL: http://dl.ivtvdriver.org/ivtv/firmware/
Source0: http://dl.ivtvdriver.org/ivtv/firmware/%{oldname}-%{version}.tar.gz
BuildArch: noarch
Obsoletes: ivtv-firmware-audio <= 0.0.1
Provides: ivtv-firmware-audio = 0.0.1
Obsoletes: %{oldname}-dec < %{version_dec}
Provides: %{oldname}-dec = %{version_dec}
Obsoletes: %{oldname}-enc < %{version_enc}
Provides: %{oldname}-enc = %{version_enc}
Source44: import.info

%description
This package contains the firmware for WinTV Hauppauge PVR
250/350/150/500/USB2 cards.

%prep
%setup -n %{oldname}-%{version} -q -c

%build

%install
mkdir -p %{buildroot}/lib/firmware

install -p *.fw %{buildroot}/lib/firmware/
install -p v4l-cx2341x-init.mpg %{buildroot}/lib/firmware/v4l-cx2341x-init.mpg
# license requires that the licenses go in the same place as the firmware
for f in license-*.txt
do
  install -p $f %{buildroot}/lib/firmware/%{oldname}-$f
done

%files
%doc license-*.txt
/lib/firmware/*.fw
/lib/firmware/v4l-cx2341x-init.mpg
/lib/firmware/%{oldname}-license-*.txt

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2:20080701-alt1_24
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 2:20080701-alt1_23
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 2:20080701-alt1_22
- converted for Sisyphus

